Subject: bug#72523: 28.1; rst.el: indentation from TAB key in rst mode (ReST) is wrong when directive as an option

From: Stefan Kangas <[email-masked]>
Date: Fri, 9 Aug 2024 09:50:47 +0000

jfbu <[email-masked]> writes:

> Hi,
>
> I could not find a bug tracker restricted to rst.el (reStructured Text mode). I was told rst.el is now maintained as part of Emacs, not at [Docutils](https://sourceforge.net/projects/docutils/).
>
> Here is my report:
>
> Consider editing in Emacs a file `test.rst` and having typed so far
>
> ~~~rest
> .. note::
>    :name: test
> ~~~
>
> then insert a blank line and hit the TAB key on next one.  The cursor will align with `test`,  not with `:name:`.
>
> This produces extra space in output when processed either by rst2html or integrated into a Sphinx projet.  For context see [this Sphinx comment](https://github.com/sphinx-doc/sphinx/issues/12742#issuecomment-2275622334).
>
> I am using a file rst.el.gz integrated to my Emacs 28.1 which contains
> ~~~lisp
> ;; Maintained by the release process.
> (defconst rst-official-version
>   (rst-extract-version "%" "OfficialVersion: " "[0-9]+\\(?:\\.[0-9]+\\)+" " "
> 		       "%OfficialVersion: 1.5.2 %")
>   "Official version of the package.")
> (defconst rst-official-cvs-rev
>   (rst-extract-version "[%$]" "Revision: " "[0-9]+\\(?:\\.[0-9]+\\)+" " "
> 		       "$Revision: 1.1058.2.9 $")
>   "CVS revision of this file in the official version.")
> ~~~
>
> I tried with electric-indent-mode both on and off.  No change.
> Regards,
> jfbu

I'm copying in Stefan Merten, in case he has any comments or
suggestions.